/* STICKY HEADER NAVIGATION BAR */
.sticky{
    position: sticky;
    top: 0;
    bottom: 0;
   z-index: 999;
}
.nav_header{
  background-color: rgba(116, 206, 209, 1);
  filter: drop-shadow(0px 3px 1px #FFF9DC);
  display:flex;
  flex-direction:row;
  align-items: center;
  justify-content:center;
  gap: 7%;
  padding:0.5%;
  text-transform: uppercase;
  font-family: "Londrina Solid", sans-serif;
  font-weight: 270; 
  font-size: 110%;
  height: 80px;
  /* this makes it touch the edge of the screen! */
  top: 0;
  left: 0;
  width: 100%;
}
.nav_button{
    background: linear-gradient(#FF5CA2 55%, #BF3E81);
    width: 10%;
    /* height: 20%; */
    text-align: center;
    border:2px solid #FFF9DC;
    border-radius: 10px;
    padding: 0.5%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
    transition:all 0.3s ease;
     z-index: 999;
     position: relative;
}
.nav_header a{
    text-decoration: none;
    color: #FFF9DC;
    font-size: large;
}
.nav_button:hover{
    background: linear-gradient(#FF5CA2, #FFE048);
    transform:scale(1.1);
}
.nav_button_current{
    background: linear-gradient(#FF5CA2 55%, #FFA4BD);
    width: 10%;
    /* height: 20%; */
    text-align: center;
    border:2px solid #FFF9DC;
    border-radius: 10px;
    padding: 0.5%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
  transition:all 0.3s ease;
       z-index: 999;
     position: relative;
}
.nav_button_current:hover{
    background: linear-gradient(#FF5CA2, #FFE048);
    transform:scale(1.1);
}
.nav_logo{
    top: 20%;
    width: 20%;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
  transition:all 0.3s ease;
       z-index: 999;
     position: relative;
}
.nav_logo:hover{
    transform:scale(1.1);
}
 #particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 100%;
    /* opacity: 0.48; */
}
/* body{
    margin: 0;
    padding: 0;
    height: 100vh;
} */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
/* PROJECT 1: SAPPHO */
.project_1{
    display: flex;
    width: 100%;
    flex-direction: column;
    padding: 8%;
    align-items: center;
  font-family: "Londrina Solid", sans-serif;
  color: #FFF9DC;
}
.project_1::before {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background-image: linear-gradient(rgba(191, 62, 129, 1), rgba(255, 92, 162, 0.3)), url(../proj1sappho/Untitled314_20241018173527.webp);
  background-size: cover;
  background-repeat: no-repeat;
  filter: blur(3.5px);
  z-index: -1; /* Ensures it stays behind content */
}
.image_container{
    margin-top: 3%;
    margin-bottom: 3%;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: drop-shadow(0px 3px 1px #74CED1);
}
.project_1 h2{
    font-size:200%;
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.project_1 p{
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.image_container img{
    width: 30%;
    mask-image: url(../images/Asset\ 8shape.svg);
    mask-repeat: no-repeat;
}
.project_1 .nav_button{
    width: 30%;
    font-family: "Londrina Solid", sans-serif;
    color: #FFF9DC;
    filter: drop-shadow(0px 3px 1px #BF3E81);
    text-transform: uppercase;
    z-index: 1;
}
/* PROJECT 2: YELLOWJACKETS */
.project_2{
    display: flex;
    width: 100%;
    flex-direction: column;
    padding: 8%;
    align-items: center;
  font-family: "Londrina Solid", sans-serif;
  color: #FFF9DC;
  text-align: center;
}
.project_2::before {
  content: "";
  background-image: linear-gradient(rgba(255, 224, 72, 0.3), rgba(255, 92, 162, 0.3)), url(../proj2yj/Screenshot\ 2026-04-19\ at\ 6.35.39\ PM.webp);
  background-size: cover;
  background-repeat: no-repeat;
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  filter: blur(3.5px);
  z-index: -1; /* Ensures it stays behind content */
}
.image_container{
    margin-top: 3%;
    margin-bottom: 3%;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: drop-shadow(0px 3px 1px );
}
.project_2 h2{
    font-size:200%;
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.project_2 p{
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.project_2 .image_container img{
    width: 30%;
    mask-image: url(../images/Asset\ 7shape.svg);
    mask-repeat: no-repeat;
}
.project_2 .nav_button{
    width: 30%;
    font-family: "Londrina Solid", sans-serif;
    color: #FFF9DC;
    filter: drop-shadow(0px 3px 1px #BF3E81);
    text-transform: uppercase;
    z-index: 1;
}
/* PROJECT 3: ROLLIN ROOLS */
.project_3{
    display: flex;
    width: 100%;
    flex-direction: column;
    padding: 8%;
    align-items: center;
  font-family: "Londrina Solid", sans-serif;
  color: #FFF9DC;
  text-align: center;
}
.project_3::before {
  content: "";
  background-image: linear-gradient(rgba(116, 206, 209, 0.3), rgba(255, 92, 162, 0.3)), url(../serv3web/rollinmockup.gif);
  background-size: cover;
  background-repeat: no-repeat;
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  filter: blur(3.5px);
  z-index: -1; /* Ensures it stays behind content */
}
.image_container{
    margin-top: 3%;
    margin-bottom: 3%;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.project_3 h2{
    font-size:200%;
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.project_3 p{
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.project_3 .image_container img{
    width: 30%;
    mask-image: url(../images/Asset\ 5shape.svg);
    mask-repeat: no-repeat;
}
.project_3 .nav_button{
    width: 30%;
    font-family: "Londrina Solid", sans-serif;
    color: #FFF9DC;
    filter: drop-shadow(0px 3px 1px #BF3E81);
    text-transform: uppercase;
    z-index: 1;
}
/* PROJECT 4: LOCATING LAKE HOUSE */
.project_4{
    display: flex;
    width: 100%;
    flex-direction: column;
    padding: 8%;
    align-items: center;
  font-family: "Londrina Solid", sans-serif;
  color: #FFF9DC;
  text-align: center;
}
.project_4::before {
  content: "";
  background-image: linear-gradient(rgba(255, 224, 72, 0.3), rgba(116, 206, 209, 0.3)), url(../serv1brnd/style\ guide\ mockup\ white.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  filter: blur(3.5px);
  z-index: -1; /* Ensures it stays behind content */
}
.image_container{
    margin-top: 3%;
    margin-bottom: 3%;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.project_4 h2{
    font-size:200%;
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.project_4 p{
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.project_4 .image_container img{
    width: 30%;
    mask-image: url(../images/Asset\ 9shape.svg);
    mask-repeat: no-repeat;
}
.project_4 .nav_button{
    width: 30%;
    font-family: "Londrina Solid", sans-serif;
    color: #FFF9DC;
    filter: drop-shadow(0px 3px 1px #BF3E81);
    text-transform: uppercase;
    z-index: 1;
}
/* PROJECT 5: QUEEN'S COUNSEL */
.project_5{
    display: flex;
    width: 100%;
    flex-direction: column;
    padding: 8%;
    align-items: center;
  font-family: "Londrina Solid", sans-serif;
  color: #FFF9DC;
  text-align: center;
}
.project_5::before {
  content: "";
  background-image: linear-gradient(rgba(191, 62, 129, 0.3), rgba(255, 92, 162, 0.3)), url(../proj5queen/qcbgimage.webp);
  background-size: cover;
  background-repeat: no-repeat;
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  filter: blur(5px);
  z-index: -1; /* Ensures it stays behind content */
}
.image_container{
    margin-top: 3%;
    margin-bottom: 3%;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.project_5 h2{
    font-size:200%;
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.project_5 p{
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.project_5 .image_container img{
    width: 30%;
    mask-image: url(../images/Asset\ 6shape.svg);
    mask-repeat: no-repeat;
}
.project_5 .nav_button{
    width: 30%;
    font-family: "Londrina Solid", sans-serif;
    color: #FFF9DC;
    filter: drop-shadow(0px 3px 1px #BF3E81);
    text-transform: uppercase;
    z-index: 1;
}
/* POP-UPS oh no */
.sappho_popup{
    background: linear-gradient(rgba(191, 62, 129, 0.91) 80%, rgba(255, 224, 72, 0.706));
    border-radius: 10px;
    position: fixed;
    width: 95%;
    left: 50%;
    padding: 3%;
    filter: drop-shadow(0px 5px 1px rgba(255, 249, 220, 0.8));
    z-index: 999;
    margin-top: 1%;
    /* transition for javascript */
    top: 0%;
    visibility: hidden;
    transform: translate(-50%, -50%) scale(0.1);
    transition: transform 0.4s, top 0.4s;
    display: flex;
    justify-content: center;
    flex-direction: column;
}
/* ^ COPY ABOVE FOR EACH PROJECT */
.yj_popup{
    background: linear-gradient(rgba(191, 62, 129, 0.91) 80%, rgba(255, 224, 72, 0.706));
    border-radius: 10px;
    position: fixed;
    width: 95%;
    left: 50%;
    padding: 3%;
    filter: drop-shadow(0px 5px 1px rgba(255, 249, 220, 0.8));
    z-index: 999;
    margin-top: 1%;
    /* transition for javascript */
    top: 0%;
    visibility: hidden;
    transform: translate(-50%, -50%) scale(0.1);
    transition: transform 0.4s, top 0.4s;
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.rollin_popup{
    background: linear-gradient(rgba(191, 62, 129, 0.91) 80%, rgba(255, 224, 72, 0.706));
    border-radius: 10px;
    position: fixed;
    width: 95%;
    left: 50%;
    padding: 3%;
    filter: drop-shadow(0px 5px 1px rgba(255, 249, 220, 0.8));
    z-index: 999;
    margin-top: 1%;
    /* transition for javascript */
    top: 0%;
    visibility: hidden;
    transform: translate(-50%, -50%) scale(0.1);
    transition: transform 0.4s, top 0.4s;
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.lakehouse_popup{
    background: linear-gradient(rgba(191, 62, 129, 0.91) 80%, rgba(255, 224, 72, 0.706));
    border-radius: 10px;
    position: fixed;
    width: 95%;
    left: 50%;
    padding: 3%;
    filter: drop-shadow(0px 5px 1px rgba(255, 249, 220, 0.8));
    z-index: 999;
    margin-top: 1%;
    /* transition for javascript */
    top: 0%;
    visibility: hidden;
    transform: translate(-50%, -50%) scale(0.1);
    transition: transform 0.4s, top 0.4s;
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.qc_popup{
    background: linear-gradient(rgba(191, 62, 129, 0.91) 80%, rgba(255, 224, 72, 0.706));
    border-radius: 10px;
    position: fixed;
    width: 95%;
    left: 50%;
    padding: 3%;
    filter: drop-shadow(0px 5px 1px rgba(255, 249, 220, 0.8));
    z-index: 999;
    margin-top: 1%;
    /* transition for javascript */
    top: 0%;
    visibility: hidden;
    transform: translate(-50%, -50%) scale(0.1);
    transition: transform 0.4s, top 0.4s;
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.popup_container{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3%;
}
.popup_container p{
    margin-top: 5%;
  font-family: "Kanit", sans-serif;
  color: #FFF9DC;
}
.popup_left, .popup_right{
  flex: 1;
}
.popup_left{
    display: flex;
    justify-content: center;
    flex-direction: column;
}
/* .popup_right{
    display: flex;
    justify-content: center;
    align-items: center;
} */
.video_container{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3%;
}
iframe{
    filter: drop-shadow(0px 3px 1px #FFE048);
    border-radius: 10px;
    margin-top: 1%;
    width: 40%;
    height: 40%;
}
.slideshow_container{
    text-align: center;
}
.slideshow_container img{
    width: 100%;
}
/* .mySlides {
    display:none;
    border-radius: 10px;
    filter: drop-shadow(0px 3px 1px #FFE048);
}
.mySlides {
    display:none;
    border-radius: 10px;
    filter: drop-shadow(0px 3px 1px #FFE048);
} */
 .mySlides1, .mySlides2, .mySlides3, .myslides4, .myslides5 {
    display: none;
    border-radius: 10px;
    filter: drop-shadow(0px 3px 1px #FFE048);
}
img {
    vertical-align: middle;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  /* position: absolute; */
  top: 50%;
  width: auto;
  padding: 16px;
  /* margin-top: -22px; */
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  border-radius: 10px;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 10px;
}

/* On hover, add a grey background color */
.prev:hover, .next:hover {
  background-color: #f1f1f1;
  color: black;
}
.slideshow_container .nav_button{
    color: #FFF9DC;
    margin-top: 1%;
}
.slideshow_container img{
    vertical-align: middle;
        border-radius: 10px;
}
.open-sapphopopup{
    visibility: visible;
    top: 50%;
    transform: translate(-50%, -50%) scale(1);
}
/* ^ COPY ABOVE FOR EACH PROJECT */
.open-YJpopup{
    visibility: visible;
    top: 50%;
    transform: translate(-50%, -50%) scale(1);
}
.open-Rollinpopup{
    visibility: visible;
    top: 50%;
    transform: translate(-50%, -50%) scale(1);
}
.open-LakeHousepopup{
    visibility: visible;
    top: 50%;
    transform: translate(-50%, -50%) scale(1);
}
.open-QCpopup{
    visibility: visible;
    top: 50%;
    transform: translate(-50%, -50%) scale(1);
}

.close_popup i{
    color: #FF5CA2;
    -webkit-text-stroke: 2px;
}
.close_popup{
    background: #FFF9DC;
    filter: drop-shadow(0px 3px 1px #bf3e81b2);
    padding: 1%;
    width: 5%;
    text-align: center;
    display: flex;
    justify-content: center;
    cursor: pointer;
}
.close_popup:hover{
    background: linear-gradient(#FFF9DC 55%, #FFE048);
}
/* BANNER TEXT */
.banner_text{
    color: #BF3E81;
    background:#FFF9DC;
    text-transform: uppercase;
    border:2px solid #BF3E81;
    border-image: url(../images/banner_text_white.svg) 27 23 / 50px 30px / 1rem round space;
    filter: drop-shadow(0px 3px 1px #FFE048);
    margin-top: 3%;
    width: 100%;
}
.banner_text h1{
    font-family: "Londrina Solid", sans-serif;
    text-align: center;
    font-size: x-large;
}
/* FADE TRANSITION */
.fade-in{
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.6s ease;
}
.fade-in.show{
    opacity:1;
    transform: translateY(0);
}
h2, p{
  -webkit-text-stroke: 0.5px #BF3E81; /* 2px wide black outline */
}
/* FOOTER */
.footer{
    background-color: #74CED1;
    border:2px solid #FFF9DC;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    flex-direction: column;
    color: #FFF9DC;
    font-family: "Londrina Solid", sans-serif;
    font-size: 150%;
    top: 0;
    left: 0;
    position: relative;
}
.footer_content p{
    -webkit-text-stroke: 0px;
}
.footer_content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 1%;
    width: 25%;
    height: 100%;
    /* z-index: 999; */
    filter: drop-shadow(0px 3px 1px #FF5CA2);
}
#particles-js2{
    position: absolute;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 100%;
}
button{
    cursor: pointer;
}
/* TICKER TAPE */
.scrolling_text {
    width: 100%;
    overflow: hidden;
    display: flex;
    white-space: nowrap;
}
.text span {
    margin: 0 45px;
}
.text {
    font-size: 100%;
    font-weight: 700;
    text-transform: uppercase;
    font-family: "Londrina Solid", sans-serif;
    color: #BF3E81;
    background-color: #FFE048;
    animation: animate_text 100s linear infinite; /* The animation property */
    border:1px solid #FFF9DC;
}
/* MOBILE */
.mobile_header{
    position: sticky;
    background-color: #74CED1;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1%;
    gap: 30%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.mobile_header img{
    max-width: 50%;
}
.burger_icon{
    color: #FFF9DC;
    background: linear-gradient(#FF5CA2 55%, #FFE048);
    border-radius: 5px;
    width: 10%;
    height: 10%;
    text-align: center;
    border:2px solid #FFF9DC;
    z-index: 999;
}
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  right: 0;
background: linear-gradient(rgba(255, 224, 72, 0.9), rgba(255, 92, 162, 0.7));
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  display: flex;
  flex-direction: column;
  border:2px solid #FFF9DC;
}
.top_navbar{
    display: flex;
    padding: 3%;
    gap: 50%;
}
.top_navbar img{
filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.sidenav a {
  /* padding: 8px 8px 8px 32px; */
  text-decoration: none;
  display: block;
  transition: 0.3s;
background: linear-gradient(#FF5CA2 55%, #BF3E81);
/* width: 100%; */
border:2px solid #FFF9DC;
border-radius: 10px;
padding: 2%;
filter: drop-shadow(0px 3px 1px #FFF9DC);
transition:all 0.3s ease;
z-index: 999;
/* position: relative; */
margin-top: 5%;
/* margin-left: 5%; */
margin: 5%;
gap: 5%;
/* height: 43%; */
top: 50px;
}
.burger_text{
font-size: 25px;
  color: #f1f1f1;
  font-family: "Londrina Solid", sans-serif;
  text-align: center;
  height: 15;
  font-size: x-large;
  text-transform: uppercase;
}
.sidenav a:hover {
  color: #f1f1f1;
}
.closebtn {
  top: 50px;
  font-size: 36px;
  margin-left: 150px;
  text-decoration: none;
  color: #f1f1f1;
  text-align: center;
  width: 20%;
  font-weight: bold;
  background: linear-gradient(#FF5CA2 55%, #FFE048);
}
@keyframes animate_text {
    from {
      transform: translate3d(0, 0, 0);
    }
    to {
      transform: translate3d(-100%, 0, 0);
    }
}
/* HIDE MOBILE ELEMENTS HERE */
@media screen and (min-width: 600px){
.mobile_header{
    visibility: hidden;
    display: none;
}
.mobile_slideshow{
    visibility: hidden;
    display: none; 
}
/* .popup_right{
    display: block;
    visibility: visible;
} */
}
/* HIDE DESKTOP ELEMENTS HERE, MAKE MOBILE ELEMENTS VISIBLE HERE, EDIT EXISTING DESKTOP ELEMENTS FOR MOBILE HERE */
@media screen and (max-width: 600px){
    .sticky{grid-area: 1 / span 6;}
    .nav_header{
        display: none;
    }
    .mobile_header{
        visibility: visible;
    }
    .intro{
    display: none;
    }
    .mobile_intro{
        display: block;
    }
    .mobile_services{
        display: block;
    }
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
  h2{
    text-align: center;
    font-size: xx-large;
  }
#sappho_learn_more, #open_YJPopup, #open_RollinPopup, #open_LakeHousePopup, #open_QCPpopup{
    width: 95%;
}
.close_popup{
    width: 11.5%;
    height: 100%;
}
.popup_left p{
    font-size: smaller;
    filter: drop-shadow(0px 3px 1px #BF3E81);
}
.popup_container{
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    height: 80vh;
}
.popup_container button{
    width: 80%;
    justify-content: center;
    align-items: center;
}
.popup_left .banner_text{
    margin-top: 5%;
}
.popup_right{
    display: block;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5%;
}
/* .popup_right{
    display: none;
}
.mobile_slideshow{
    display: block;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5%;
}
.rollin_popup .popup_container .popup_left .banner_text{
    margin-top: -30%;
}
.lakehouse_popup .popup_container .popup_left .banner_text{
    margin-top: -25%;
}
.qc_popup .popup_container .popup_left .banner_text{
    margin-top: -25%;
} */
}
